<template>
  <div class="amap-container">
  </div>
</template>

<script>

export default {
  name: 'MapView',
  props: {
    value: {
      type: Number,
      default: 0
    },
    pointList: {
      type: Array,
      default: () => {
        return []
      }
    }
  },
  data() {
    return {
    }
  },
  watch: {
    value(val) {
      this.status = val
    }
  },
  mounted() {
    // console.log(this.pointList)
  },
  methods: {
    action() {
      this.$emit('action', '')
    },
    calcRealPosition() {

    }
  }
}
</script>
<style lang="scss" scoped>
.amap-container {
   height: 300px;
  width: 100%;
}
</style>
